Bug 95714 - dns/noip port fails to fetch distfile
Summary: dns/noip port fails to fetch distfile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-13 23:10 UTC by Wes Santee
Modified: 2006-04-22 05:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wes Santee 2006-04-13 23:10:15 UTC
	The dns/noip port tries to fetch the file "noip-2.1.1.tar.gz"
	from the www.no-ip.com web site.  However, the correct
	filename is "noip-duc-linux.tar.gz".  As a result, trying to
	fetch the distfile will fail.

Fix: 

Have the port fetch the correct file (not sure what the port
	syntax is when the distribution filename is different than the
	port name).

	Note: Trying to fetch the correct file manually and rename it
	to /usr/ports/distfiles/noip-2.1.1.tar.gz does not work.  The
	port complains of an MD5 & SHA256 mismatch (although the file
	size is the same and the no-ip web site says the update client
	is at version 2.1.1).
How-To-Repeat: 	rm -f /usr/ports/distfiles/noip-2.1.1.tar.gz
	cd /usr/ports/dns/noip
	make
Comment 1 Shaun Amott 2006-04-14 00:48:14 UTC
On Thu, Apr 13, 2006 at 03:03:36PM -0700, Wes Santee wrote:
> 	
> 	The dns/noip port tries to fetch the file "noip-2.1.1.tar.gz"
> 	from the www.no-ip.com web site.  However, the correct
> 	filename is "noip-duc-linux.tar.gz".  As a result, trying to
> 	fetch the distfile will fail.
> 

This seems to be an intermittent problem. Both files come and go.
Someone needs to mirror the distfile.
Comment 2 Sam Lawrance freebsd_committer 2006-04-22 05:28:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Grab.
Comment 3 Sam Lawrance freebsd_committer 2006-04-22 05:34:56 UTC
State Changed
From-To: open->closed

Fixed, thanks for the report!